Request
curl https://sandbox.api.lendeasy.ai/v1/customers/$CUSTOMER_ID/history/$HISTORY_ID \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/customers/${customerId}/history/${historyId}`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/customers/{customer_id}/history/{history_id}",
headers={"Authorization": f"Bearer {token}"},
)
{
"historyId": "h_01JZ7M5K9Y",
"occurredAt": "2026-09-15T14: 22:08Z",
"category": "CONTACT_POINT",
"action": "UPDATE",
"subject": {
"type": "CONTACT_POINT",
"ref": "512",
"href": "/v1/customers/412"
},
"summary": "Contact point updated",
"changes": {
"canReceiveSms": {
"before": false,
"after": true
}
},
"actor": {
"type": "STAFF",
"ref": "9",
"username": "ana.alvarez",
"firstName": "Ana",
"lastName": "Alvarez"
},
"correlationId": "corr_01JZ7M5K9X"
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}